commit e8297f953ed9c8e42f1b406b5ecad4ccdd9d95d3
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Dec 3 15:16:48 2022 +0000

    tidying

diff --git a/src/src/log.c b/src/src/log.c
index 6c483216a..a01e9c59f 100644
--- a/src/src/log.c
+++ b/src/src/log.c
@@ -1544,6 +1544,7 @@ else DEBUG(D_deliver)
 void
 debug_logging_stop(BOOL kill)
 {
+debug_printf("debug terminated by %s\n", kill ? "kill" : "stop");
 debug_pretrigger_discard();
 if (!debug_file || !debuglog_name[0]) return;
 
diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index eabe34f31..db77a1274 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -3999,7 +3999,7 @@ if (tlsp->host_resumable)
     tls_error(US"set ex_data", host, NULL, errstr);
     return FALSE;
     }
-  debug_printf("tls_exdata_idx %d cbinfo %p\n", tls_exdata_idx, client_static_state);
+  /* debug_printf("tls_exdata_idx %d cbinfo %p\n", tls_exdata_idx, client_static_state); */
   }
 
 tlsp->resumption = RESUME_SUPPORTED;
diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index 1183fa478..ed5f83b3e 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -990,7 +990,7 @@ return FALSE;
 
 
 /* Return an auths bitmap for the set of AUTH methods offered by the server
-which match our authenticators. */
+which match our client-side authenticators. */
 
 static unsigned short
 study_ehlo_auths(smtp_context * sx)
@@ -1016,7 +1016,7 @@ for (au = auths, authnum = 0; au; au = au->next, authnum++) if (au->client)
   }
 
 DEBUG(D_transport)
-  debug_printf("server offers %s AUTH, methods '%s', bitmap 0x%04x\n",
+  debug_printf("server offers %s AUTH, methods '%s', usable-bitmap 0x%04x\n",
     tls_out.active.sock >= 0 ? "crypted" : "plaintext", names, authbits);
 
 if (tls_out.active.sock >= 0)

